## Index

### Functions

- debug
- endpoints
- fsVersion
- setImplementations
- shouldPin
- userMessages
- wnfsWasmLoopkup

## Functions

### debug

- debug(__namedParameters: { enabled: boolean }): boolean

- - Defined in setup.ts:20

  Toggle debug mode.

  Only adds a few `console.log`s at this moment.

  #### Parameters

  - ##### __namedParameters: { enabled: boolean }

    - ##### enabled: boolean

  #### Returns boolean

### endpoints

- endpoints(e: Partial<Endpoints>): Endpoints

- - Defined in setup.ts:80

  Override endpoints.

  You can override each of these, no need to provide them all here.

  `api` Location of the Fission API (default `https://runfission.com`) `apiVersion` Vesion of the Fission API (defaults to the latest version) `lobby` Location of the authentication lobby. (default `https://auth.fission.codes`) `user` User's domain to use, will be prefixed by username. (default `fission.name`)

  #### Parameters

  - ##### e: Partial<Endpoints>

  #### Returns Endpoints

### fsVersion

- fsVersion(__namedParameters: { version: string }): string

- - Defined in setup.ts:43

  Set the file system version.

  This will only affect new file systems created. Existing file systems (whether loaded from another device or loaded locally) continue using the same version. If you're looking to migrate an existing file system to a new file system version, please look for migration tooling.

  #### Parameters

  - ##### __namedParameters: { version: string }

    - ##### version: string

  #### Returns string

### setImplementations

- setImplementations(opts: { auth?: Partial<<internal>.Implementation>; crypto?: Partial<<internal>.Implementation>; dns?: Partial<<internal>.Implementation>; storage?: Partial<<internal>.Implementation> }): void

- - Defined in setup.ts:90

  Set implementations.

  Override how auth, crypto or storage operates in webnative.

  #### Parameters

  - ##### opts: { auth?: Partial<<internal>.Implementation>; crypto?: Partial<<internal>.Implementation>; dns?: Partial<<internal>.Implementation>; storage?: Partial<<internal>.Implementation> }

    - ##### Optional auth?: Partial<<internal>.Implementation>

    - ##### Optional crypto?: Partial<<internal>.Implementation>

    - ##### Optional dns?: Partial<<internal>.Implementation>

    - ##### Optional storage?: Partial<<internal>.Implementation>

  #### Returns void

### shouldPin

- shouldPin(__namedParameters: { enabled: boolean }): boolean

- - Defined in setup.ts:29

  Configure whether webnative should aggressively pin everything, or pin nothing at all.

  #### Parameters

  - ##### __namedParameters: { enabled: boolean }

    - ##### enabled: boolean

  #### Returns boolean

### userMessages

- userMessages(m: Partial<UserMessages>): UserMessages

- - Defined in setup.ts:110

  Configure messages that webnative sends to users.

  `versionMismatch.newer` is shown when webnative detects that the user's filesystem is newer than what this version of webnative supports. `versionMismatch.older` is shown when webnative detects that the user's filesystem is older than what this version of webnative supports.

  #### Parameters

  - ##### m: Partial<UserMessages>

  #### Returns UserMessages

### wnfsWasmLoopkup

- wnfsWasmLoopkup(fn: (wnfsVersion: string) => Promise<BufferSource>): void

- - Defined in setup.ts:58

  Configure how the wnfs wasm module should be loaded.

  This only has an effect if you're using file systems of version 3 or higher.

  By default this loads the required version of the wasm wnfs module from unpkg.com.

  #### Parameters

  - ##### fn: (wnfsVersion: string) => Promise<BufferSource>

    - - (wnfsVersion: string): Promise<BufferSource>

      - #### Parameters

        - ##### wnfsVersion: string

        #### Returns Promise<BufferSource>

  #### Returns void

Generated using TypeDoc